Index: svn/src/mainboard/asus/p2b-d/mptable.c
===================================================================
--- svn.orig/src/mainboard/asus/p2b-d/mptable.c
+++ svn/src/mainboard/asus/p2b-d/mptable.c
@@ -144,7 +144,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/asus/p2b-ds/mptable.c
===================================================================
--- svn.orig/src/mainboard/asus/p2b-ds/mptable.c
+++ svn/src/mainboard/asus/p2b-ds/mptable.c
@@ -146,7 +146,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/broadcom/blast/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/broadcom/blast/get_bus_conf.c
+++ svn/src/mainboard/broadcom/blast/get_bus_conf.c
@@ -86,12 +86,12 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE >= CONFIG_HT_CHAIN_UNITID_BASE
 	                bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
 	                bus_isa++;
-//        	        printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+//        	        printk(DEBUG, "bus_isa=%d\n",bus_isa);
 #endif
 		}
         }
 	else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:07.0, using defaults\n", bus_bcm5785_0);
+                printk(DEBUG, "ERROR - could not find PCI %02x:07.0, using defaults\n", bus_bcm5785_0);
         }
 
 		/* bcm5780 */
@@ -102,12 +102,12 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE < CONFIG_HT_CHAIN_UNITID_BASE
                         bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                         bus_isa++;
-//                      printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+//                      printk(DEBUG, "bus_isa=%d\n",bus_isa);
 #endif
 
 		}
         	else {
-                	printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_bcm5780[i]);
+                	printk(DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_bcm5780[i]);
 	        }
 	}
 
Index: svn/src/mainboard/broadcom/blast/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/broadcom/blast/irq_tables.c
+++ svn/src/mainboard/broadcom/blast/irq_tables.c
@@ -60,7 +60,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+        printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -99,7 +99,7 @@ unsigned long write_pirq_routing_table(u
                 pirq->checksum = sum;
         }
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/broadcom/blast/mptable.c
===================================================================
--- svn.orig/src/mainboard/broadcom/blast/mptable.c
+++ svn/src/mainboard/broadcom/blast/mptable.c
@@ -177,7 +177,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/dell/s1850/mptable.c
===================================================================
--- svn.orig/src/mainboard/dell/s1850/mptable.c
+++ svn/src/mainboard/dell/s1850/mptable.c
@@ -48,7 +48,7 @@ static void *smp_write_config_table(void
 			bus_isa++;
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
 
 			bus_ich5r_1 = 7;
 			bus_isa = 8;
@@ -60,7 +60,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:00.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:00.0, using defaults\n");
 
 			bus_pxhd_1 = 2;
 		}
@@ -71,7 +71,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:00.2, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:00.2, using defaults\n");
 
 			bus_pxhd_2 = 3;
 		}
@@ -83,7 +83,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:04.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:04.0, using defaults\n");
 
 			bus_pxhd_3 = 5;
 		}
@@ -94,7 +94,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:06.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:06.0, using defaults\n");
 
 			bus_pxhd_4 = 6;
 		}
@@ -122,7 +122,7 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 1:00.1\n");
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 1:00.1\n");
 		}
 		/* pxhd apic 4 */
 		dev = dev_find_slot(1, PCI_DEVFN(0x00,3));
@@ -133,7 +133,7 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 1:00.3\n");
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 1:00.3\n");
 		}
 	}	
 	/* ISA backward compatibility interrupts  */
@@ -205,7 +205,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/digitallogic/msm586seg/mainboard.c
===================================================================
--- svn.orig/src/mainboard/digitallogic/msm586seg/mainboard.c
+++ svn/src/mainboard/digitallogic/msm586seg/mainboard.c
@@ -23,10 +23,10 @@ static void irqdump()
 		-1};
   mmcr = (void *) 0xfffef000;
 
-  printk(BIOS_ERR, "mmcr is %p\n", mmcr);
+  printk(ERROR, "mmcr is %p\n", mmcr);
   for(i = 0; irqlist[i] >= 0; i++) {
     irq = mmcr + irqlist[i];
-    printk(BIOS_ERR, "0x%x register @%p is 0x%x\n", irqlist[i], irq, *irq);
+    printk(ERROR, "0x%x register @%p is 0x%x\n", irqlist[i], irq, *irq);
   }
 
 }
@@ -43,7 +43,7 @@ static void enable_dev(struct device *de
 	 */
 
 	/* currently, nothing in the device to use, so ignore it. */
-	printk(BIOS_ERR, "digital logic msm586 seg ENTER %s\n", __func__);
+	printk(ERROR, "digital logic msm586 seg ENTER %s\n", __func__);
 
 
 	/* from fuctory bios */
@@ -77,10 +77,10 @@ static void enable_dev(struct device *de
 
 
 	irqdump();
-	printk(BIOS_ERR, "uart 1 ctl is 0x%x\n", *(unsigned char *) 0xfffefcc0);
+	printk(ERROR, "uart 1 ctl is 0x%x\n", *(unsigned char *) 0xfffefcc0);
 
-	printk(BIOS_ERR, "0xc20 ctl is 0x%x\n", *(unsigned short *) 0xfffefc20);
-	printk(BIOS_ERR, "0xc22 0x%x\n", *(unsigned short *) 0xfffefc22b);
+	printk(ERROR, "0xc20 ctl is 0x%x\n", *(unsigned short *) 0xfffefc20);
+	printk(ERROR, "0xc22 0x%x\n", *(unsigned short *) 0xfffefc22b);
 
 	/* The following block has NOT proven sufficient to get
 	 * the VGA hardware to talk to us 
@@ -92,7 +92,7 @@ static void enable_dev(struct device *de
 	mmcr->sysarb.prictl = 0xc0000f0f;
 	/* this is bios setting, depends on sysarb above */
 	mmcr->hostbridge.ctl = 0x108;
-	printk(BIOS_ERR, "digital logic msm586 seg EXIT %s\n", __func__);
+	printk(ERROR, "digital logic msm586 seg EXIT %s\n", __func__);
 
 	/* pio */
 	mmcr->pio.data31_16 = 0xffbf;
Index: svn/src/mainboard/digitallogic/msm800sev/mainboard.c
===================================================================
--- svn.orig/src/mainboard/digitallogic/msm800sev/mainboard.c
+++ svn/src/mainboard/digitallogic/msm800sev/mainboard.c
@@ -23,8 +23,8 @@
 
 static void init(struct device *dev)
 {
-	printk(BIOS_DEBUG, "MSM800SEV ENTER %s\n", __func__);
-	printk(BIOS_DEBUG, "MSM800SEV EXIT %s\n", __func__);
+	printk(DEBUG, "MSM800SEV ENTER %s\n", __func__);
+	printk(DEBUG, "MSM800SEV EXIT %s\n", __func__);
 }
 
 static void enable_dev(struct device *dev)
Index: svn/src/mainboard/emulation/qemu-x86/mainboard.c
===================================================================
--- svn.orig/src/mainboard/emulation/qemu-x86/mainboard.c
+++ svn/src/mainboard/emulation/qemu-x86/mainboard.c
@@ -28,7 +28,7 @@ static void qemu_init(device_t dev)
 	/* The PIRQ table is not working well for interrupt routing purposes. 
 	 * so we'll just set the IRQ directly. 
 	*/
-	printk(BIOS_INFO, "setting ethernet\n");
+	printk(INFO, "setting ethernet\n");
 	pci_assign_irqs(0, 3, enetIrqs);
 }
 
Index: svn/src/mainboard/emulation/qemu-x86/northbridge.c
===================================================================
--- svn.orig/src/mainboard/emulation/qemu-x86/northbridge.c
+++ svn/src/mainboard/emulation/qemu-x86/northbridge.c
@@ -80,14 +80,14 @@ static void cpu_pci_domain_set_resources
 			if (reg > rambits)
 				rambits = reg;
 			if (reg < rambits)
-				printk(BIOS_ERR, "ERROR! register 0x%x is not set!\n",
+				printk(ERROR, "ERROR! register 0x%x is not set!\n",
 					ramregs[i]);
 		}
 		if (rambits == 0) {
-			printk(BIOS_ERR, "RAM size config registers are empty; defaulting to 64 MBytes\n");
+			printk(ERROR, "RAM size config registers are empty; defaulting to 64 MBytes\n");
 			rambits = 8;
 		}
-		printk(BIOS_DEBUG, "I would set ram size to 0x%x Kbytes\n", (rambits)*8*1024);
+		printk(DEBUG, "I would set ram size to 0x%x Kbytes\n", (rambits)*8*1024);
 		tomk = rambits*8*1024;
 		/* Compute the top of Low memory */
 		tolmk = pci_tolm >> 10;
Index: svn/src/mainboard/gigabyte/ga_2761gxdk/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/ga_2761gxdk/get_bus_conf.c
+++ svn/src/mainboard/gigabyte/ga_2761gxdk/get_bus_conf.c
@@ -117,7 +117,7 @@ void get_bus_conf(void)
 			for(j=bus_sis966[1];j<bus_sis966[2]; j++) bus_type[j] = 1;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x06);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x06);
 
                         bus_sis966[1] = 2;
                         bus_sis966[2] = 3;
@@ -132,7 +132,7 @@ void get_bus_conf(void)
 				for(j=bus_sis966[i];j<bus_isa; j++) bus_type[j] = 1;
 	                }
         	        else {
-                	        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_sis966[0], sbdn + 0x0a + i - 2 );
+                	        printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_sis966[0], sbdn + 0x0a + i - 2 );
 	                        bus_isa = bus_sis966[i-1]+1;
         	        }
 		}
Index: svn/src/mainboard/gigabyte/ga_2761gxdk/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/ga_2761gxdk/irq_tables.c
+++ svn/src/mainboard/gigabyte/ga_2761gxdk/irq_tables.c
@@ -77,7 +77,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -114,7 +114,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
         {
                 device_t dev;
@@ -141,7 +141,7 @@ unsigned long write_pirq_routing_table(u
                     pci_write_config8(dev, reg[i], irq[i]);
 		} // endif
 
-                printk(BIOS_DEBUG, "Setting Onboard SiS Southbridge\n");
+                printk(DEBUG, "Setting Onboard SiS Southbridge\n");
 
                 dev = dev_find_slot(0, PCI_DEVFN(2,5));   // 5513 (IDE)
                 pci_write_config8(dev, 0x3C, 0x0A);
@@ -163,9 +163,9 @@ unsigned long write_pirq_routing_table(u
                 pci_write_config8(dev, 0x3C, 0x05);
         }
 
-	printk(BIOS_DEBUG, "pirq routing table, size=%d\n", pirq->size);
+	printk(DEBUG, "pirq routing table, size=%d\n", pirq->size);
 	for (i = 0; i < pirq->size; i+=4)
-		printk(BIOS_DEBUG, "%.2x%.2x%.2x%.2x\n", v[i+3],v[i+2],v[i+1],v[i]);
+		printk(DEBUG, "%.2x%.2x%.2x%.2x\n", v[i+3],v[i+2],v[i+1],v[i]);
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/gigabyte/ga_2761gxdk/mptable.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/ga_2761gxdk/mptable.c
+++ svn/src/mainboard/gigabyte/ga_2761gxdk/mptable.c
@@ -156,7 +156,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/gigabyte/ga_2761gxdk/romstage.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/ga_2761gxdk/romstage.c
+++ svn/src/mainboard/gigabyte/ga_2761gxdk/romstage.c
@@ -213,7 +213,7 @@ void cache_as_ram_main(unsigned long bis
 	early_usbdebug_direct_init();
 #endif
         console_init();
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
Index: svn/src/mainboard/gigabyte/m57sli/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/m57sli/acpi_tables.c
+++ svn/src/mainboard/gigabyte/m57sli/acpi_tables.c
@@ -119,7 +119,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT table. */
 	rsdp = (acpi_rsdp_t *) current;
@@ -134,7 +134,7 @@ unsigned long write_acpi_tables(unsigned
 	acpi_write_rsdt(rsdt);
 
 	/* We explicitly add these tables later on: */
-	printk(BIOS_DEBUG, "ACPI:     * FACS\n");
+	printk(DEBUG, "ACPI:     * FACS\n");
 
 	/* we should align FACS to 64B as per ACPI specs */
 	current = ALIGN(current, 64);
@@ -147,9 +147,9 @@ unsigned long write_acpi_tables(unsigned
 	memcpy((void *) dsdt, &AmlCode, AmlCode.length);
 	dsdt->checksum = 0;	/* Don't trust iasl to get this right. */
 	dsdt->checksum = acpi_checksum(dsdt, dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
+	printk(DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
 		     dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * FADT\n");
+	printk(DEBUG, "ACPI:     * FADT\n");
 
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
@@ -157,46 +157,46 @@ unsigned long write_acpi_tables(unsigned
 	acpi_create_fadt(fadt, facs, dsdt);
 	acpi_add_table(rsdp, fadt);
 
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
 	/* If we want to use HPET timers Linux wants an MADT. */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
-	printk(BIOS_DEBUG, "ACPI:    * MCFG\n");
+	printk(DEBUG, "ACPI:    * MCFG\n");
 	mcfg = (acpi_mcfg_t *) current;
 	acpi_create_mcfg(mcfg);
 	current += mcfg->header.length;
 	acpi_add_table(rsdp, mcfg);
 
-	printk(BIOS_DEBUG, "ACPI:    * SRAT\n");
+	printk(DEBUG, "ACPI:    * SRAT\n");
 	srat = (acpi_srat_t *) current;
 	acpi_create_srat(srat);
 	current += srat->header.length;
 	acpi_add_table(rsdp, srat);
 
 	/* SLIT */
-	printk(BIOS_DEBUG, "ACPI:    * SLIT\n");
+	printk(DEBUG, "ACPI:    * SLIT\n");
 	slit = (acpi_slit_t *) current;
 	acpi_create_slit(slit);
 	current+=slit->header.length;
 	acpi_add_table(rsdp, slit);
 
 	/* SSDT */
-	printk(BIOS_DEBUG, "ACPI:    * SSDT\n");
+	printk(DEBUG, "ACPI:    * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
 	current += ssdt->length;
 	acpi_add_table(rsdp, ssdt);
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/gigabyte/m57sli/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/m57sli/get_bus_conf.c
+++ svn/src/mainboard/gigabyte/m57sli/get_bus_conf.c
@@ -115,7 +115,7 @@ void get_bus_conf(void)
 			for(j=bus_mcp55[1];j<bus_mcp55[2]; j++) bus_type[j] = 1;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x06);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x06);
 
                         bus_mcp55[1] = 2;
                         bus_mcp55[2] = 3;
@@ -130,7 +130,7 @@ void get_bus_conf(void)
 				for(j=bus_mcp55[i];j<bus_isa; j++) bus_type[j] = 1;
 	                }
         	        else {
-                	        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_mcp55[0], sbdn + 0x0a + i - 2 );
+                	        printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_mcp55[0], sbdn + 0x0a + i - 2 );
 	                        bus_isa = bus_mcp55[i-1]+1;
         	        }
 		}
Index: svn/src/mainboard/gigabyte/m57sli/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/m57sli/irq_tables.c
+++ svn/src/mainboard/gigabyte/m57sli/irq_tables.c
@@ -75,7 +75,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+        printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -112,7 +112,7 @@ unsigned long write_pirq_routing_table(u
                 pirq->checksum = sum;
         }
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/gigabyte/m57sli/mptable.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/m57sli/mptable.c
+++ svn/src/mainboard/gigabyte/m57sli/mptable.c
@@ -164,7 +164,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/gigabyte/m57sli/romstage.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/m57sli/romstage.c
+++ svn/src/mainboard/gigabyte/m57sli/romstage.c
@@ -226,7 +226,7 @@ void cache_as_ram_main(unsigned long bis
 	early_usbdebug_direct_init();
 #endif
         console_init();
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
Index: svn/src/mainboard/hp/dl145_g3/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/hp/dl145_g3/get_bus_conf.c
+++ svn/src/mainboard/hp/dl145_g3/get_bus_conf.c
@@ -98,25 +98,25 @@ void get_bus_conf(void)
 	m->bus_bcm5780[0] = m->bus_bcm5785_0;
 
 		/* bcm5785 */
-	printk(BIOS_DEBUG, "search for def %d.0 on bus %d\n",sysconf.sbdn,m->bus_bcm5785_0);
+	printk(DEBUG, "search for def %d.0 on bus %d\n",sysconf.sbdn,m->bus_bcm5785_0);
 	dev = dev_find_slot(m->bus_bcm5785_0, PCI_DEVFN(sysconf.sbdn,0));
 	if (dev) {
-		printk(BIOS_DEBUG, "found dev %s...\n",dev_path(dev));
+		printk(DEBUG, "found dev %s...\n",dev_path(dev));
 		m->bus_bcm5785_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
-		printk(BIOS_DEBUG, "secondary is %d...\n",m->bus_bcm5785_1);
+		printk(DEBUG, "secondary is %d...\n",m->bus_bcm5785_1);
 		dev = dev_find_slot(m->bus_bcm5785_1, PCI_DEVFN(0xd,0));
-		printk(BIOS_DEBUG, "now found %s...\n",dev_path(dev));
+		printk(DEBUG, "now found %s...\n",dev_path(dev));
 		if(dev) {
 			m->bus_bcm5785_1_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 #if CONFIG_HT_CHAIN_END_UNITID_BASE >= CONFIG_HT_CHAIN_UNITID_BASE
 			m->bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
 			m->bus_isa++;
-			printk(BIOS_DEBUG, "bus_isa 1=%d\n",m->bus_isa);
+			printk(DEBUG, "bus_isa 1=%d\n",m->bus_isa);
 #endif
 		}
 	}
 	else {
-		printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_bcm5785_0, sysconf.sbdn);
+		printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_bcm5785_0, sysconf.sbdn);
 	}
 
 		/* bcm5780 */
@@ -127,12 +127,12 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE < CONFIG_HT_CHAIN_UNITID_BASE
 			m->bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
 			m->bus_isa++;
-			printk(BIOS_DEBUG, "bus_isa 2=%d\n",m->bus_isa);
+			printk(DEBUG, "bus_isa 2=%d\n",m->bus_isa);
 #endif
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_bcm5780[0], m->sbdn2+i-1);
+			printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_bcm5780[0], m->sbdn2+i-1);
 		}
 	}
 
Index: svn/src/mainboard/hp/dl145_g3/mptable.c
===================================================================
--- svn.orig/src/mainboard/hp/dl145_g3/mptable.c
+++ svn/src/mainboard/hp/dl145_g3/mptable.c
@@ -80,7 +80,7 @@ static void *smp_write_config_table(void
 	/* define bus and isa numbers */
 /*	for(bus_num = 0; bus_num < m->bus_isa; bus_num++) {
 		smp_write_bus(mc, bus_num, "PCI   ");
-		printk(BIOS_DEBUG, "writing bus %d as PCI...\n",bus_num);
+		printk(DEBUG, "writing bus %d as PCI...\n",bus_num);
 	}
 	*/
 	smp_write_bus(mc, 0, "PCI   ");
@@ -89,7 +89,7 @@ static void *smp_write_config_table(void
 	smp_write_bus(mc, 8, "PCI   ");
 
 	smp_write_bus(mc,m->bus_isa, "ISA   ");
-	printk(BIOS_DEBUG, "writing %d as ISA...\n",m->bus_isa);
+	printk(DEBUG, "writing %d as ISA...\n",m->bus_isa);
 
 	/*I/O APICs:   APIC ID Version State           Address*/
 	{
@@ -101,7 +101,7 @@ static void *smp_write_config_table(void
 			if (dev) {
 				res = find_resource(dev, PCI_BASE_ADDRESS_0);
 				if (res) {
-					printk(BIOS_DEBUG, "APIC %d base address: %llx\n",m->apicid_bcm5785[i],  res->base);
+					printk(DEBUG, "APIC %d base address: %llx\n",m->apicid_bcm5785[i],  res->base);
 					smp_write_ioapic(mc, m->apicid_bcm5785[i], 0x11, res->base);
 				}
 			}
@@ -160,14 +160,14 @@ static void *smp_write_config_table(void
 	smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_EDGE|MP_IRQ_POLARITY_HIGH,  m->bus_isa, 0x5, m->apicid_bcm5785[0], 0x5);
 	smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_EDGE|MP_IRQ_POLARITY_HIGH,  m->bus_isa, 0x6, m->apicid_bcm5785[0], 0x6);
 	//SATA
-/* 	printk(BIOS_DEBUG, "MPTABLE_SATA: bus_id:%d irq:%d apic_id:%d pin:%d\n",m->bus_bcm5785_1, (0x0e<<2)|0, m->apicid_bcm5785[0], 0x7); */
+/* 	printk(DEBUG, "MPTABLE_SATA: bus_id:%d irq:%d apic_id:%d pin:%d\n",m->bus_bcm5785_1, (0x0e<<2)|0, m->apicid_bcm5785[0], 0x7); */
 /*	smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_LEVEL|MP_IRQ_POLARITY_LOW, m->bus_bcm5785_1, (0x0e<<2)|0, m->apicid_bcm5785[0], 0x7); */
-	printk(BIOS_DEBUG, "MPTABLE_SATA: bus_id:%d irq:%d apic_id:%d pin:%d\n",m->bus_bcm5785_1, (0x0e<<2)|0, m->apicid_bcm5785[0], 0xb);
+	printk(DEBUG, "MPTABLE_SATA: bus_id:%d irq:%d apic_id:%d pin:%d\n",m->bus_bcm5785_1, (0x0e<<2)|0, m->apicid_bcm5785[0], 0xb);
 	smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_LEVEL|MP_IRQ_POLARITY_LOW, m->bus_bcm5785_1, (0x0e<<2)|0, m->apicid_bcm5785[0], 0xb);
 	smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_EDGE|MP_IRQ_POLARITY_HIGH,  m->bus_isa, 0x8, m->apicid_bcm5785[0], 0x8);
 	smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_EDGE|MP_IRQ_POLARITY_HIGH,  m->bus_isa, 0x9, m->apicid_bcm5785[0], 0x9);
 	//USB
-	printk(BIOS_DEBUG, "sysconf.sbdn: %d on bus: %x \n",sysconf.sbdn, m->bus_bcm5785_0);
+	printk(DEBUG, "sysconf.sbdn: %d on bus: %x \n",sysconf.sbdn, m->bus_bcm5785_0);
 	smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_LEVEL|MP_IRQ_POLARITY_LOW, m->bus_bcm5785_0, (0x03<<2)|0, m->apicid_bcm5785[0], 0xa);
 
 	smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_EDGE|MP_IRQ_POLARITY_HIGH,  m->bus_isa, 0xb, m->apicid_bcm5785[0], 0xb);
@@ -188,7 +188,7 @@ static void *smp_write_config_table(void
 
 	//IDE
 //     	outb(0x02, 0xc00); outb(0x0e, 0xc01);
-//	printk(BIOS_DEBUG, "MPTABLE_IDE: bus_id:%d irq:%d apic_id:%d pin:%d\n",m->bus_bcm5785_0, ((1+sysconf.sbdn)<<2)|1, m->apicid_bcm5785[0], 0xe);
+//	printk(DEBUG, "MPTABLE_IDE: bus_id:%d irq:%d apic_id:%d pin:%d\n",m->bus_bcm5785_0, ((1+sysconf.sbdn)<<2)|1, m->apicid_bcm5785[0], 0xe);
 //		smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_EDGE|MP_IRQ_POLARITY_HIGH,  m->bus_bcm5785_0, (0x02<<2)|1, m->apicid_bcm5785[0], 0xe);
 
 	//onboard Broadcom GbE
@@ -206,13 +206,13 @@ static void *smp_write_config_table(void
 			uint32_t dword;
 			dword = pci_read_config32(dev, 0x6c);
 			dword |= (1<<4); // enable interrupts
-			printk(BIOS_DEBUG, "6ch: %x\n",dword);
+			printk(DEBUG, "6ch: %x\n",dword);
 			pci_write_config32(dev, 0x6c, dword);
 		}
 	}
 
 /*Local Ints:  Type    Polarity    Trigger     Bus ID   IRQ    APIC ID PIN#*/
-	printk(BIOS_DEBUG, "m->bus_isa is: %x\n",m->bus_isa);
+	printk(DEBUG, "m->bus_isa is: %x\n",m->bus_isa);
 	smp_write_intsrc(mc, mp_ExtINT, MP_IRQ_TRIGGER_EDGE|MP_IRQ_POLARITY_HIGH, m->bus_isa, 0x0, MP_APIC_ALL, 0x0);
 	smp_write_intsrc(mc, mp_NMI, MP_IRQ_TRIGGER_EDGE|MP_IRQ_POLARITY_HIGH, m->bus_isa , 0x0, MP_APIC_ALL, 0x1);
 
@@ -231,7 +231,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/hp/dl145_g3/romstage.c
===================================================================
--- svn.orig/src/mainboard/hp/dl145_g3/romstage.c
+++ svn/src/mainboard/hp/dl145_g3/romstage.c
@@ -228,7 +228,7 @@ void cache_as_ram_main(unsigned long bis
 	console_init();
 //	setup_early_ipmi_serial();
 	pilot_early_init(SERIAL_DEV); //config port is being taken from SERIAL_DEV
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
 	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
Index: svn/src/mainboard/ibm/e325/mptable.c
===================================================================
--- svn.orig/src/mainboard/ibm/e325/mptable.c
+++ svn/src/mainboard/ibm/e325/mptable.c
@@ -48,7 +48,7 @@ static void *smp_write_config_table(void
 			bus_isa	   = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
 			bus_isa++;
 		} else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
 			bus_8111_1 = 4;
 			bus_isa = 5;
 		}
@@ -59,7 +59,7 @@ static void *smp_write_config_table(void
 			bus_8131_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 
 		} else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
 			bus_8131_1 = 2;
 		}
 
@@ -68,7 +68,7 @@ static void *smp_write_config_table(void
 		if (dev) {
 			bus_8131_2 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 		} else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 			bus_8131_2 = 3;
 		}
 	}
@@ -161,7 +161,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/ibm/e326/mptable.c
===================================================================
--- svn.orig/src/mainboard/ibm/e326/mptable.c
+++ svn/src/mainboard/ibm/e326/mptable.c
@@ -48,7 +48,7 @@ static void *smp_write_config_table(void
 			bus_isa	   = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
 			bus_isa++;
 		} else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
 			bus_8111_1 = 4;
 			bus_isa = 5;
 		}
@@ -59,7 +59,7 @@ static void *smp_write_config_table(void
 			bus_8131_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 
 		} else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
 			bus_8131_1 = 2;
 		}
 
@@ -68,7 +68,7 @@ static void *smp_write_config_table(void
 		if (dev) {
 			bus_8131_2 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 		} else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 			bus_8131_2 = 3;
 		}
 	}
@@ -161,7 +161,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
